<?php $options = get_option( 'og_theme_options' ); ?>
<?php $color = get_post_meta($post->ID, 'postcolor_meta_box_select', true); ?>

							<div id="post-<?php the_ID(); ?>" <?php post_class( $color ); ?>>

							<?php if ( has_post_thumbnail() && $options['post_thumbnail'] == 1 ) { ?>

								<div class="post-thumbnail">
									
									<?php the_post_thumbnail(); ?>

								</div><!--.post-thumbnail-->

							<?php } ?>

								<div class="post-body">

									<div class="post-entry">

										<?php the_time( get_option('date_format') ); ?> • 

										<?php if ($options['post_info_author'] == 1 ) { ?>
											<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author" title="<?php _e('View all posts of the author','og-achtzehn'); ?> <?php the_author(); ?>"><?php the_author(); ?></a> •
										<?php } ?>

										<?php comments_popup_link( __('no response','og-achtzehn'), __('1 response','og-achtzehn'), __('% responses','og-achtzehn'), '', __('Comments are closed','og-achtzehn') ); ?>

										<?php edit_post_link(__('Edit this post','og-achtzehn'), ' • '); ?>

										<h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link for the post','og-achtzehn'); ?> '<?php the_title(); ?>'"><?php the_title(); ?></a></h2>

									</div><!--.post-entry-->

									<div class="post-content">

										<?php if ( $options['post_view'] == 1 ) { ?>

											<?php the_excerpt(); ?>

										<?php } else { ?>

											<?php the_content( __('Continue Reading','og-achtzehn') ); ?>

										<?php } ?>

									</div><!--.post-content-->

								</div><!--.post-body-->

							</div><!--.post-->