<?php $options = get_option( 'og_theme_options' ); ?>
<?php $color = get_post_meta($post->ID, 'postcolor_meta_box_select', true); ?>

<?php get_header(); ?>

				<?php if ( have_posts() ) : ?>
				<?php while ( have_posts() ) : the_post(); ?>
				
				<div id="post-<?php the_ID(); ?>" <?php post_class($color); ?>>

					<?php if ( has_post_thumbnail() ) { ?>

					<div class="post-thumbnail">
									
						<?php the_post_thumbnail(); ?>

					</div><!--.post-thumbnail-->

					<?php } ?>

					<div class="post-body">

						<div class="post-entry">

							<?php the_time( get_option('date_format') ); ?> • <?php comments_popup_link( __('no response','og-achtzehn'), __('1 response','og-achtzehn'), __('% responses','og-achtzehn'), '', __('Comments are closed','og-achtzehn') ); ?><?php edit_post_link(__('Edit this post','og-achtzehn'), ' • '); ?>

							<h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link for the post','og-achtzehn'); ?> '<?php the_title(); ?>'"><?php the_title(); ?></a></h2>

						</div><!--.post-entry-->

						<div class="post-content">

							<?php the_content(); ?>

						</div><!--.post-content-->

						<div class="post-meta">

							<div class="category"><?php the_category(' '); ?></div>

							<?php
								$tag = get_the_tags();
								if ( ! $tag ) { ?>
							<?php } else { ?>
								<div class="tag"><?php the_tags('',' ',''); ?></div>
							<?php } ?>

							<?php if ( $options['post_info_author'] == 1 ) { ?>
								<div class="author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author" title="<?php _e('View all posts of the author','og-achtzehn'); ?> <?php the_author(); ?>"><?php the_author(); ?></a></div>
							<?php } ?>

						</div><!--.post-meta-->

						<div class="post-info">

						<?php if ( $options['post_recommendation'] == 1 or $options['post_author'] == 1 ) { ?>

						<?php if ( $options['post_author'] == 1 ) { ?>

							<div class="author-info">

								<h4><?php _e('About the author','og-achtzehn'); ?><span class="author-name"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author" title="<?php _e('View all posts of the author','og-achtzehn'); ?> <?php the_author(); ?>"><?php the_author(); ?></a></span></h4>

								<div class="author-info-content">

									<div class="author-meta">

										<a class="author-avatar" href="<?php the_author_meta('user_url'); ?>"><?php echo get_avatar( get_the_author_meta('user_email'), '100', '' ); ?></a>

									</div><!--.author-meta-->

									<div class="author-description">

										<?php the_author_meta('description'); ?>

									</div><!--.author-description-->

								</div><!--.author-info-content-->

							</div><!--.author-info-->

						<?php } ?>

						<?php } ?>

						<?php if ($options['post_recommendation'] == 1) { ?>

							<div class="post-recommendation">

								<h4>

								<?php if ($options['post_recommendation_title']) { ?> 

									<?php echo $options['post_recommendation_title']; ?>

								<?php } else { ?>

									<?php _e('Related posts','og-achtzehn'); ?>

								<?php } ?>

								</h4>

							<?php if ($options['post_recommendation_type'] == 0) { ?>

								<ul class="recommendation-excerpt">

								<?php if ($options['post_recommendation_nr']) { ?>

									<?php {	$rec_number = $options['post_recommendation_nr']; } ?>

								<?php } else { ?>

									<?php {	$rec_number = 4; } ?>

								<?php } ?>

								<?php 

									global $post;
									$originalPost = clone $post;  

									$tags = wp_get_post_tags($post->ID); 
									if ($tags) {
									$first_tag = $tags[0]->term_id;
									$args=array(
										'tag__in' => array($first_tag),
										'post__not_in' => array($post->ID),
										'showposts'=>$rec_number,
										'caller_get_posts'=>1
									);

									$recommendation = new WP_Query($args);
									if( $recommendation->have_posts() ) {
									while ( $recommendation->have_posts() ) : $recommendation->the_post(); 

								?>

									<li>

										<div class="recommendation-date">

											<?php the_time(get_option('date_format')); ?>

										</div><!--.recommendation-date-->

										<h5 class="recommendation-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link for the post','og-achtzehn'); ?> '<?php the_title(); ?>'"><?php the_title(); ?></a></h5>

										<div class="recommendation-content">

											<?php if( has_post_thumbnail() ) { ?>

												<div class="recommendation-thumbnail">

													<?php the_post_thumbnail('featured-thumbnail'); ?>

												</div><!--.recommendation-thumbnail-->

											<?php } ?>

											<?php the_excerpt(); ?>

										</div><!--.recommendation-content-->

									</li>

								<?php endwhile; 
								} else {
								echo __('No similar posts found','og-achtzehn'); 
								} 

								$GLOBALS['post'] = $originalPost;
								setup_postdata($originalPost); 
								}
								?>

								</ul>

							<?php } else { ?>

								<ul class="recommendation-list">

								<?php if ($options['post_recommendation_nr']) { ?>

									<?php {	$rec_number = $options['post_recommendation_nr']; } ?>

								<?php } else { ?>

									<?php {	$rec_number = 4; } ?>

								<?php } ?>

								<?php 

									global $post;
									$originalPost = clone $post;  

									$tags = wp_get_post_tags($post->ID); 
									if ($tags) {
									$first_tag = $tags[0]->term_id;
									$args=array(
										'tag__in' => array($first_tag),
										'post__not_in' => array($post->ID),
										'showposts'=>$rec_number,
										'caller_get_posts'=>1
									);

									$recommendation = new WP_Query($args);
									if( $recommendation->have_posts() ) {
									while ( $recommendation->have_posts() ) : $recommendation->the_post(); 

								?>

									<li><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link for the post','og-achtzehn'); ?> '<?php the_title(); ?>'"><?php the_title(); ?></a> (<?php the_time(get_option('date_format')); ?>)</li>

								<?php endwhile; 
								} else {
								echo __('No similar posts found','og-achtzehn'); 
								} 

								$GLOBALS['post'] = $originalPost;
								setup_postdata($originalPost); 
								}
								?>

								</ul>

							<?php } ?>

							</div><!--.post-recommendation-->

						<?php } ?> 

						</div><!--.post-info-->

					</div><!--.post-body-->

					<?php comments_template('', true); ?>

					<?php if ($options['post_navigation_bottom'] == 1 ) { ?>

						<div class="side-navigation">

							<?php previous_post_link( '<div class="nav-left">%link</div>', '%title' ); ?>
							<?php next_post_link( '<div class="nav-right">%link</div>', '%title' ); ?>

						</div><!--.side-navigation-->

					<?php } ?>

				</div><!--.post-->

				<?php get_template_part( 'sticky-header' ); ?>

				<?php endwhile; ?>
				<?php endif; ?>

<?php get_footer(); ?>