<?php $options = get_option( 'og_theme_options' ); ?> 

	</div><!--#content-->

	<?php if( !function_exists('wp_pagenavi') ) : ?>

	<div class="side-navigation">

		<div class="nav-right"><?php previous_posts_link( __( 'Previous Page', 'og-achtzehn' ) ) ?></div>
		<div class="nav-left"><?php next_posts_link( __( 'Next Page', 'og-achtzehn' ) ) ?></div>

	</div><!--.side-navigation-->

	<?php endif; ?>

	<?php if( function_exists('wp_pagenavi') ) : ?>

		<?php wp_pagenavi(); ?>

	<?php endif; ?>

	<?php get_sidebar(); ?>

	<div id="footer">

		<div class="footer-content">

			<div class="footer-left">

				<?php if ( $options['blog_description'] == 1 ) { ?>

				<div class="blog-description">

					<?php if ( $options['blog_description_title'] ) { ?>

					<h6 class="blog-description-title"><?php echo $options['blog_description_title']; ?></h6>

					<?php } ?>

					<?php if ( $options['blog_description_content'] ) { ?>

					<div class="blog-description-content">

						<?php if ( $options['blog_description_logo'] ) { ?>

						<img class="blog-description-logo" src="<?php echo $options['blog_description_logo']; ?>" alt="logo">

						<?php } ?>

						<?php echo $options['blog_description_content']; ?>

					</div><!--.blog-description-content-->

					<?php } ?>

				</div><!--.blog-description-->

				<?php } ?>

				<div class="social">

				<?php if ( $options['social_title'] ) { ?>

					<h6 class="social-title"><?php echo $options['social_title'] ?></h6>

				<?php } else { ?>

					<h6 class="social-title"><?php _e('Let us stay in touch','og-achtzehn'); ?></h6>

				<?php } ?> 

					<ul>

						<?php if ($options['facebook'] == 1) { ?>
							<li class="facebook"><a href="<?php echo $options['facebook_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/facebook.png" alt="facebook-icon"></a>
							<div>
								<p class="social-name">Facebook</p>
								<?php if ($options['facebook_tooltip']) { ?>
									<p class="social-link"><?php echo $options['facebook_tooltip'] ?></p>
								<?php } else { ?>
									<p class="social-link"><?php _e('My Facebook profile','og-achtzehn'); ?></p>
								<?php } ?> 
							</div>
							</li>
						<?php } ?> 

						<?php if ($options['twitter'] == 1) { ?>
							<li class="twitter"><a href="<?php echo $options['twitter_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/twitter.png" alt="twitter-icon"></a>
							<div>
								<p class="social-name">Twitter</p>
								<?php if ($options['twitter_tooltip']) { ?>
									<p class="social-link"><?php echo $options['twitter_tooltip'] ?></p>
								<?php } else { ?>
									<p class="social-link"><?php _e('My Twitter profile','og-achtzehn'); ?></p>
								<?php } ?> 
							</div>
							</li>
						<?php } ?> 

						<?php if ($options['google'] == 1) { ?>
							<li class="google"><a href="<?php echo $options['google_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/google.png" alt="google-icon"></a>
							<div>
								<p class="social-name">Google+</p>
								<?php if ($options['google_tooltip']) { ?>
									<p class="social-link"><?php echo $options['google_tooltip'] ?></p>
								<?php } else { ?>
									<p class="social-link"><?php _e('My Google+ profile','og-achtzehn'); ?></p>
								<?php } ?> 
							</div>
							</li>
						<?php } ?> 

						<?php if ($options['xing'] == 1) { ?>
							<li class="xing"><a href="<?php echo $options['xing_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/xing.png" alt="xing-icon"></a>
							<div>
								<p class="social-name">Xing</p>
								<?php if ($options['xing_tooltip']) { ?>
									<p class="social-link"><?php echo $options['xing_tooltip'] ?></p>
								<?php } else { ?>
									<p class="social-link"><?php _e('My Xing profile','og-achtzehn'); ?></p>
								<?php } ?> 
							</div>
							</li>
						<?php } ?> 

						<?php if ($options['pinterest'] == 1) { ?>
							<li class="pinterest"><a href="<?php echo $options['pinterest_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/pinterest.png" alt="pinterest-icon"></a>
							<div>
								<p class="social-name">Pinterest</p>
								<?php if ($options['pinterest_tooltip']) { ?>
									<p class="social-link"><?php echo $options['pinterest_tooltip'] ?></p>
								<?php } else { ?>
									<p class="social-link"><?php _e('My Pinterest profile','og-achtzehn'); ?></p>
								<?php } ?> 
							</div>
							</li>
						<?php } ?> 

						<?php if ($options['tumblr'] == 1) { ?>
							<li class="tumblr"><a href="<?php echo $options['tumblr_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/tumblr.png" alt="tumblr-icon"></a>
							<div>
								<p class="social-name">Tumblr</p>
								<?php if ($options['tumblr_tooltip']) { ?>
									<p class="social-link"><?php echo $options['tumblr_tooltip'] ?></p>
								<?php } else { ?>
									<p class="social-link"><?php _e('My Tumblr profile','og-achtzehn'); ?></p>
								<?php } ?> 
							</div>
							</li>
						<?php } ?> 

						<?php if ($options['flickr'] == 1) { ?>
							<li class="flickr"><a href="<?php echo $options['flickr_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/flickr.png" alt="flickr-icon"></a>
							<div>
								<p class="social-name">Flickr</p>
								<?php if ($options['flickr_tooltip']) { ?>
									<p class="social-link"><?php echo $options['flickr_tooltip'] ?></p>
								<?php } else { ?>
									<p class="social-link"><?php _e('My Flickr profile','og-achtzehn'); ?></p>
								<?php } ?> 
							</div>
							</li>
						<?php } ?> 

						<?php if ($options['linkedin'] == 1) { ?>
							<li class="linkedin"><a href="<?php echo $options['linkedin_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/linkedin.png" alt="linkedin-icon"></a>
							<div>
								<p class="social-name">Linkedin</p>
								<?php if ($options['linkedin_tooltip']) { ?>
									<p class="social-link"><?php echo $options['linkedin_tooltip'] ?></p>
								<?php } else { ?>
									<p class="social-link"><?php _e('My Linkedin profile','og-achtzehn'); ?></p>
								<?php } ?> 
							</div>
							</li>
						<?php } ?> 

						<?php if ($options['instagram'] == 1) { ?>
							<li class="instagram"><a href="<?php echo $options['instagram_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/instagram.png" alt="instagram-icon"></a>
							<div>
								<p class="social-name">Instagram</p>
								<?php if ($options['instagram_tooltip']) { ?>
									<p class="social-link"><?php echo $options['instagram_tooltip'] ?></p>
								<?php } else { ?>
									<p class="social-link"><?php _e('My Instagram profile','og-achtzehn'); ?></p>
								<?php } ?> 
							</div>
							</li>
						<?php } ?> 

						<?php if ($options['lastfm'] == 1) { ?>
							<li class="lastfm"><a href="<?php echo $options['lastfm_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/lastfm.png" alt="lastfm-icon"></a>
							<div>
								<p class="social-name">Last.fm</p>
								<?php if ($options['lastfm_tooltip']) { ?>
									<p class="social-link"><?php echo $options['lastfm_tooltip'] ?></p>
								<?php } else { ?>
									<p class="social-link"><?php _e('My Last.fm profile','og-achtzehn'); ?></p>
								<?php } ?> 
							</div>
							</li>
						<?php } ?> 

						<?php if ($options['youtube'] == 1) { ?>
							<li class="youtube"><a href="<?php echo $options['youtube_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/youtube.png" alt="youtube-icon"></a>
							<div>
								<p class="social-name">Youtube</p>
								<?php if ($options['youtube_tooltip']) { ?>
									<p class="social-link"><?php echo $options['youtube_tooltip'] ?></p>
								<?php } else { ?>
									<p class="social-link"><?php _e('My Youtube profile','og-achtzehn'); ?></p>
								<?php } ?> 
							</div>
							</li>
						<?php } ?> 

						<?php if ($options['rss'] == 1) { ?>
							<li class="rss"><a href="<?php bloginfo('rss2_url'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/rss.png" alt="rss-icon"></a>
							<div>
								<p class="social-name">RSS-Feed</p>
								<?php if ($options['rss_tooltip']) { ?>
									<p class="social-link"><?php echo $options['rss_tooltip'] ?></p>
								<?php } else { ?>
									<p class="social-link"><?php _e('Get the RSS-Feed','og-achtzehn'); ?></p>
								<?php } ?> 
							</div>
							</li>
						<?php } ?> 

					</ul>

				</div><!--.social-->

			</div><!--.footer-left-->

			<div class="footer-right">

			<?php if ( $options['display_logo_footer'] == 1 ) { ?>

				<div class="logo footer">

				<?php if ( $options['logo_footer'] ) { ?>

					<a href="<?php echo home_url(); ?>"><img src="<?php echo $options['logo_footer']; ?>" alt="logo"></a>

				<?php } else { ?>

					<a href="<?php echo home_url(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/logo-footer.png" alt="logo"></a>

				<?php } ?>

				</div><!--.logo-->

			<?php } ?>

			<?php if ( has_nav_menu( 'footer_menu' ) ) { ?>

				<?php

					$defaults = array(
					'depth'      => 1,
					'container_class' => 'footer-menu',
					'theme_location'  => 'footer_menu',
					'menu_class'      => 'footer-navigation',
					'after'		  => '<span class="menu-divider">•</span>',
					);

					wp_nav_menu( $defaults );

				?>

			<?php } ?>

			<?php if ( $options['copyright'] ) { ?> 
				<?php echo $options['copyright']; ?>
			<?php } else { ?>
				&copy; <?php bloginfo('name'); ?> <?php _e('powered by','og-achtzehn'); ?> <a href="http://wordpress.org">WordPress</a>
			<?php } ?>

			<?php if ( $options['posts_comments'] == 1 ) { ?>

				<?php _e('includes','og-achtzehn'); ?> <?php $nr_art = wp_count_posts('post'); $nr_art = $nr_art->publish; echo number_format($nr_art); ?> <?php _e('posts and','og-achtzehn'); ?> <?php $nr_komm  = get_comment_count(); $nr_komm  = $nr_komm['approved']; echo number_format($nr_komm); ?> <?php _e('comments','og-achtzehn'); ?> 

			<?php } ?> 

				<br>Theme 'ACHTZEHN' <?php _e('by','og-achtzehn'); ?> <a href="http://www.olivergast.de">Oliver Gast</a>

			</div><!--.footer-right-->

		</div><!--.footer-content-->

	</div><!--#footer-->

	<?php wp_footer(); ?>

</div><!--#side-content-->

<?php if ( $options['google_analytics'] ) { ?> 
	<?php echo $options['google_analytics']; ?>
<?php } ?>

<script type="text/javascript">
$(function(){
        var stickyTop = $('#content').offset().top;
          
        $(window).scroll(function(){
                if( $(window).scrollTop() > stickyTop ) {
                        $('#top').css({top: '0'});
                } else {
                        $('#top').css({top: '-100%'});
                }
        });
});
</script>

<script type="text/javascript">
$(document).ready(function(){

	// hide first
	$("span.info-top").hide();
	
	// fade in
	$(function () {
		$(window).scroll(function () {
			if ($(this).scrollTop() > 100) {
				$('.info-top').fadeIn();
			} else {
				$('.info-top').fadeOut();
			}
		});

		// scroll body to 0px on click
		$('.info-top').click(function () {
			$('body,html').animate({
				scrollTop: 0
			}, 800);
			return false;
		});
	});

});
</script>

<?php if ( $options['share_google'] == 1 ) { ?>

<script type="text/javascript">
  window.___gcfg = {lang: 'de'};

  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script>

<?php } ?>

<?php if ( $options['share_facebook'] == 1 ) { ?>

<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/de_DE/all.js#xfbml=1";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
<?php } ?>

<?php if ( $options['share_twitter'] == 1 ) { ?>

<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script>

<?php } ?>

<?php if ( $options['share_pinterest'] == 1 ) { ?>

<script type="text/javascript" src="//assets.pinterest.com/js/pinit.js"></script>

<?php } ?>

</body>

</html>