<?php get_header(); ?>

<?php $options = get_option( 'og_theme_options' ); ?> 

				<?php if ( have_posts() ) : ?>
				<?php while ( have_posts() ) : the_post(); ?>

					<div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>

						<div class="post-body">

						<?php if( has_post_thumbnail() ) { ?>

							<div class="search-thumbnail">

								<?php the_post_thumbnail('featured-thumbnail'); ?>

							</div><!--.search-thumbnail-->

						<?php } ?>

							<?php the_time( get_option('date_format') ); ?> • 

							<?php if ($options['post_info_author'] == 1 ) { ?>
								<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author" title="<?php _e('View all posts of the author','og-achtzehn'); ?> <?php the_author(); ?>"><?php the_author(); ?></a> •
							<?php } ?>

							<?php comments_popup_link( __('no response','og-achtzehn'), __('1 response','og-achtzehn'), __('% responses','og-achtzehn'), '', __('closed','og-achtzehn') ); ?>

							<?php edit_post_link(__('Edit this post','og-achtzehn'), ' • '); ?>

							<h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link for the post','og-achtzehn'); ?> '<?php the_title(); ?>'"><?php the_title(); ?></a></h2>

							<div class="post-content">

								<?php the_excerpt(); ?>

							</div><!--.post-content-->

						</div><!--.post-body-->

					</div><!--.post-->

				<?php endwhile; ?>
				<?php else : ?>

					<div class="post">

						<div class="post-body">

							<h2><?php _e('No search-result found','og-achtzehn'); ?></h2>
							<h6><?php _e('Please try again or search the category-, tag- or the other archives','og-achtzehn'); ?></h6>

							<div><?php get_search_form(); ?></div>

						</div><!--.post-body-->

					</div><!--.post-->

				<?php endif; ?>

				<?php get_template_part( 'sticky-header' ); ?>

<?php get_footer(); ?>