<?php get_header(); ?>

				<?php if ( have_posts() ) : ?>
				<?php while ( have_posts() ) : the_post(); ?>

					<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

						<div class="post-date">

							<?php the_time( get_option('date_format') ); ?>  

						</div><!--.post-date-->

						<h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link for the attachment','og-achtzehn'); ?> '<?php the_title(); ?>'"><?php the_title(); ?></a></h2>

						<div class="post-content">

							<div class="attachment-entry">

							<?php if ( wp_attachment_is_image( $post->id ) ) : $att_image = wp_get_attachment_image_src( $post->id, "full"); ?>

								<div class="attachment-content"><a href="<?php echo wp_get_attachment_url($post->id); ?>" title="<?php the_title(); ?>" rel="attachment"><img src="<?php echo $att_image[0];?>" width="<?php echo $att_image[1];?>" height="<?php echo $att_image[2];?>"  class="attachment-medium" alt="<?php $post->post_excerpt; ?>" /></a></div>

							<?php else : ?>

								<a href="<?php echo wp_get_attachment_url($post->ID) ?>" title="<?php echo esc_html( get_the_title($post->ID), 1 ) ?>" rel="attachment"><?php echo basename($post->guid) ?></a>
							
							<?php endif; ?>
						
							</div><!--.attachment-entry-->

							<p style="text-align: right;"><?php _e('Click on the image to display the full size.','og-achtzehn'); ?></p>

						</div><!--.post-content-->

					</div><!--.post-->

				<?php endwhile; ?>
				<?php endif; ?>

<?php get_footer(); ?>